---
title: 'Feature-Policy: geolocation'
slug: Web/HTTP/Headers/Feature-Policy/geolocation
tags:
  - Feature Policy
  - Feature-Policy
  - Geolocation
  - HTTP
  - header
---
<div>{{HTTPSidebar}} {{SeeCompatTable}}</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>geolocation</code> directive controls whether the current document is allowed to use the {{domxref('Geolocation')}} Interface. When this policy is enabled, calls to {{domxref('Geolocation.getCurrentPosition','getCurrentPosition()')}} and {{domxref('Geolocation.watchPosition','watchPosition()')}} will cause those functions' callbacks to be invoked with a {{domxref('PositionError')}} code of <code>PERMISSION_DENIED</code>.</span></p>

<p>By default, the Geolocation API can be used within top-level documents and their same-origin child frames. This directive allows or prevents cross-origin frames from accessing geolocation. This includes same-origin frames.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Feature-Policy: geolocation &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}The default value is <code>'self'</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="General_example">General example</h3>

<p>SecureCorp Inc. wants to disable the Geolocation API within all browsing contexts except for its own origin and those whose origin is <code>https://example.com</code>. It can do so by delivering the following HTTP response header to define a feature policy:</p>

<pre class="brush: bash">Feature-Policy: geolocation 'self' https://example.com</pre>

<h3 id="With_an_&lt;iframe&gt;_element">With an &lt;iframe&gt; element</h3>

<p>FastCorp Inc. wants to disable <code>geolocation</code> for all cross-origin child frames, except for a specific &lt;iframe&gt;. It can do so by delivering the following HTTP response header to define a feature policy:</p>

<pre class="brush: bash">Feature-Policy: geolocation 'self'</pre>

<p>Then include an {{HTMLElement('iframe','allow','#Attributes')}} attribute on the <code>&lt;iframe&gt;</code> element:</p>

<pre class="brush: html">&lt;iframe src="https://other.com/map" allow="geolocation"&gt;&lt;/iframe&gt;</pre>

<p>iframe attributes can selectively enable features in certain frames, and not in others, even if those frames contain documents from the same origin.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.geolocation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
